Subject: Re: Slowness of Cygwin (and NT/2000 failure)
From: Robert Collins <[email-masked]>
To: Ron House <[email-masked]>
Cc: [email-masked]
Date: 10 Aug 2001 11:46:37 +1000

On 10 Aug 2001 01:32:32 +0000, Ron House wrote:
> Robert Collins wrote:
> > 
> > On 10 Aug 2001 00:49:45 +0000, Ron House wrote:
> > >
> > > I am running on Windows 98. Unfortunately the program won't execute on
> > > my friend's WinNT box nor on another friend's Win2000 box. (It says
> > > "Error opening terminal: cygwin.") I managed to get at the W2000 box and
> > > do some experiments, and it seems that the program actually does execute
> > > up to the point where ncurses tries to take over the screen. As I have
> > > linked statically, I don't think this can be due to missing dlls. The
> > > ncurses docs seem to be standard, with no special tips for running under
> > > Cygwin, so I am at a loss.
> > 
> > Have you installed cygwin on their machine (via setup.exe?)
> 
> No I haven't. This program must be distributed to many
> computer-illiterate people who won't want that. That's why I linked
> statically, but you are probably right that something is still missing.
> Strangely, the prog. executes fine on my 98 box, even from a dos shell
> that doesn't have the Cygwin bin in its search path. AFAIK, that means
> that the only part of the Cygwin system it can be seeing is cygwin1.dll,
> which is in the windows/system directory. I have placed that dll on the
> other machines in winnt/system32, which is in their path. So I am
> mystified.

I'm not. You don't have a mount table. you also don't have termcap
files. static linking just means that you need less .dll's, not that any
other part of cygwin can be skipped.

See the installing cygwin entries in the faq, or the mailing list
archives.

Rob

> -- 
> Ron House     [email-masked]
>               http://www.sci.usq.edu.au/staff/house
-- 
_____________________________
Robert Collins
CEO
IT Domain Pty Limited
Your Application Solution Partner
02 9476 4223   Mobile: 0414 693 367
www.itdomain.com.au
_____________________________

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/